> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reportify.cn/llms.txt
> Use this file to discover all available pages before exploring further.

# List Follow Groups

> Get all follow groups for authenticated user

## 获取关注组列表

**URL**: `/v1/following/groups`\
**方法**: `GET`\
**描述**: 获取当前用户的所有关注组

### 请求参数

无需参数

### 响应参数

| 参数名    | 类型   | 描述    |
| ------ | ---- | ----- |
| groups | list | 关注组列表 |

每个关注组包含：

| 参数名       | 类型  | 描述     |
| --------- | --- | ------ |
| group\_id | str | 关注组 ID |
| name      | str | 组名称    |
| count     | int | 关注项数量  |


## OpenAPI

````yaml GET /v1/following/groups
openapi: 3.1.0
info:
  title: Reportify API
  version: 1.0.0
  description: API documentation for Reportify's document management and search services.
servers:
  - url: https://api.reportify.cn
    description: Production server
security:
  - BearerAuth: []
paths:
  /v1/following/groups:
    get:
      tags:
        - openapi-following-group
      summary: Get Follow Groups
      description: Get all follow groups for authenticated user
      operationId: get_follow_groups
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FollowGroupsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - BearerAuth: []
components:
  schemas:
    FollowGroupsResponse:
      type: object
      properties:
        groups:
          type: array
          items:
            $ref: '#/components/schemas/FollowGroupResult'
          title: Groups
          description: List of follow groups
      required:
        - groups
      title: FollowGroupsResponse
      description: Response containing follow groups
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    FollowGroupResult:
      type: object
      properties:
        group_id:
          type: string
          title: Group Id
          description: Group ID
        name:
          type: string
          title: Name
          description: Group name
        count:
          type: integer
          title: Count
          description: Number of members
      required:
        - group_id
        - name
        - count
      title: FollowGroupResult
      description: Follow group result
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Enter your Bearer token

````